[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.TreeLineColor

Color used to draw the lines which connect the nodes in the tree.

## Declaration

Source position: comctrls.pp line 3788

`public property TCustomTreeView.TreeLineColor : TColor read FTreeLineColor write FTreeLineColor default clWindowFrame;`

## Description

TreeLineColor is a TColor property with the color used to draw the lines which connect the nodes in the tree. The default value for the property is clWindowFrame. Setting a new value for the property causes the control to be redrawn.

TreeLineColor is used in the DoPaintNode method to set the color for canvas pixels when psPattern is used in the TreeLinePenStyle property. This is done because the LCL does not currently support the psPattern pen style.

TreeLineColor is also used in the DoPaint method to set the pen color when rendering insert marks for the nodes in the tree hierarchy.